# Returns the checklist items for the task.

GET https://api.awork.com/api/v1/tasks/{taskId}/checklistitems

Returns the checklist items for the task. The checklist belongs to the specified task. <Check title="Required Permissions" icon="key">The user must have at least `read` permissions on the specified task.</Check>

## Request example

```sh
curl -X GET --globoff 'https://api.awork.com/api/v1/tasks/{taskId}/checklistitems' \
  -H 'Authorization: Bearer <token>'
```

- path parameter `taskId`: string (required). The id of the task.

## Response 200

OK

application/json

```json
[
  {
    "isDone": true,
    "name": "Create YouTube Ads",
    "order": 4,
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "createdOn": "2021-03-12T11:00:00Z",
    "createdBy": "123e4567-e89b-12d3-a456-426614174000",
    "updatedOn": "2021-03-14T11:31:00Z",
    "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
    "taskId": "123e4567-e89b-12d3-a456-426614174000"
  }
]
```

## Response 401

Unauthorized

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```

## Response 404

Not Found

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```
